Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class JdbcConnectionPoolAssembler

    java.lang.Object
      com.servingxml.components.sql.JdbcConnectionPoolAssembler

    public class JdbcConnectionPoolAssembler

extends java.lang.Object

The `JdbcConnectionPoolAssembler` implements an assembler for assembling system `JdbcConnectionPool` objects.

Constructor Summary
`JdbcConnectionPoolAssembler()`

Method Summary
`JdbcConnectionPool` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(SqlCommand[] commands)`
`void` | `setDatabaseUrl(java.lang.String databaseUrl)`
`void` | `setDriver(java.lang.String driver)`
`void` | `setMaxConnections(int maxConnections)`
`void` | `setMinConnections(int minConnections)`
`void` | `setPassword(java.lang.String password)`
`void` | `setTestStatement(java.lang.String testStatement)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcConnectionPoolAssembler

    public JdbcConnectionPoolAssembler()

Method Detail

### setDriver

    public void setDriver(java.lang.String driver)

### setDatabaseUrl

    public void setDatabaseUrl(java.lang.String databaseUrl)

### setUser

    public void setUser(java.lang.String user)

### setPassword

    public void setPassword(java.lang.String password)

### setMinConnections

    public void setMinConnections(int minConnections)

### setMaxConnections

    public void setMaxConnections(int maxConnections)

### setTestStatement

    public void setTestStatement(java.lang.String testStatement)

### injectComponent

    public void injectComponent(SqlCommand[] commands)

### assemble

    public JdbcConnectionPool assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD